package com.rf.psychological.plan.service;

import com.rf.psychological.plan.dao.model.PlanMessageEntity;

import java.util.List;

public interface PlanMessageService {


    /**
     * 保存
     * @param planMessageEntity
     */
    void save(PlanMessageEntity planMessageEntity);

    /**
     * find by id
     * @param id
     * @return
     */
    PlanMessageEntity findById(String id);

    /**
     * delete by id
     * @param id
     */
    void deleteById(String id);

    /**
     * planId 查询
     * @param planId
     * @return
     */
    List<PlanMessageEntity> findByPlanId(String planId);

    /**
     * 查询符合发送消息条件
     * @return
     */
    List<PlanMessageEntity> findToSendMessage();
}
